package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.rjconsultores.ventaboletos.dao.AuditLogDAO;
import com.rjconsultores.ventaboletos.entidad.AuditLog;
import com.rjconsultores.ventaboletos.entidad.AuditModule;
import com.rjconsultores.ventaboletos.service.AuditLogService;

@Service("auditLogService")
public class AuditLogServiceImpl implements AuditLogService {

	@Autowired
	private AuditLogDAO auditLogDAO;

	@Override
	public List<AuditLog> obtenerTodos() {
		return auditLogDAO.obtenerTodos();
	}

	@Override
	public AuditLog obtenerID(Long id) {
		return auditLogDAO.obtenerID(id);
	}

	@Override
	public AuditLog suscribir(AuditLog auditLog) {
		return auditLogDAO.suscribir(auditLog);
	}

	@Override
	public AuditLog actualizacion(AuditLog auditLog) {
		return auditLogDAO.actualizacion(auditLog);
	}

	@Override
	public void borrar(AuditLog auditLog) {
		auditLogDAO.borrar(auditLog);
	}

	@Override
	public List<AuditLog> carregarLog(AuditModule modulo) {
		return auditLogDAO.carregarLog(modulo);
	}

	@Override
	public List<AuditLog> filtrarLog(AuditLog auditLog) {
		return auditLogDAO.filtrarLog(auditLog);
	}
}
